## org.eclipse.ocl.internal.l10n
Class OCLMessages

    java.lang.Object
      org.eclipse.ocl.internal.l10n.OCLMessages

    public class OCLMessages

extends Object

An accessor class for externalized strings.

Field Summary
`static String` `Ambig_AssocEnd_`
`static String` `AmbiguousMessageType_ERROR_`
`static String` `AmbiguousState_ERROR_`
`static String` `AssociationClassAmbiguous_ERROR_`
`static String` `AssociationClassQualifierCount_ERROR_`
`static String` `AssociationClassQualifierType_ERROR_`
`static String` `AtPreInPostcondition_ERROR_`
`static String` `BadArg_ERROR_`
`static String` `BindingExist_ERROR_`
`static String` `BodyConditionConformance_ERROR_`
`static String` `BodyConditionForm_ERROR_`
`static String` `BodyConditionNotAllowed_ERROR_`
`static String` `BooleanForIf_ERROR_`
`static String` `BooleanQuery_ERROR_`
`static String` `CastTypeMismatch_ERROR_`
`static String` `CollectionType_ERROR_`
`static String` `DeclarationInitExp_ERROR_`
`static String` `DeclarationNoInitExp_ERROR_`
`static String` `DeclarationType_ERROR_`
`static String` `DefinitionConstraintConformance_ERROR_`
`static String` `DefinitionConstraintFeature_ERROR_`
`static String` `DuplicateNameInTuple_ERROR_`
`static String` `DuplicateOperation_ERROR_`
`static String` `DuplicateProperty_ERROR_`
`static String` `ElementTypeConformanceClosure_ERROR_`
`static String` `EnvRegistry_missingClass_ERROR_`
`static String` `EnvRegistry_missingNsURI_ERROR_`
`static String` `EnvRegistry_unknownElement_ERROR_`
`static String` `ErrorMessage_ERROR_`
`static String` `ErrorReport_RowColumn`
`static String` `EvaluationFailed_ERROR_`
`static String` `ExtraneousParameterVariables_ERROR_`
`static String` `ExtraneousResultVariable_ERROR_`
`static String` `FirstLastTypeMismatch_ERROR_`
`static String` `IllegalAtPre_ERROR_`
`static String` `IllegalEnumLiteral_ERROR_`
`static String` `IllegalOpcode_ERROR_`
`static String` `IllegalOperation_ERROR_`
`static String` `IllegalQualifiers_ERROR_`
`static String` `IllegalSignature_ERROR_`
`static String` `IllegalUnspecifiedValueExp_ERROR_`
`static String` `IncompleteIfExp_ERROR_`
`static String` `IncompleteIterateExp_ERROR_`
`static String` `IncompleteIteratorExp_ERROR_`
`static String` `IncompleteLetExp_ERROR_`
`static String` `IncompleteVariableExp_ERROR_`
`static String` `IndexOutOfRange_ERROR_`
`static String` `InitExpNotAllowed_ERROR_`
`static String` `InitOrDerConstraintConformance_ERROR_`
`static String` `Input_ERROR_`
`static String` `InvalidEscapeSequence_ERROR`
`static String` `InvalidOCL_ERROR_`
`static String` `InvariantConstraintBoolean_ERROR_`
`static String` `IsInStateSignature_ERROR_`
`static String` `IterateExpLoopVarInit_ERROR_`
`static String` `IteratorNotImpl_ERROR_`
`static String` `IteratorSource_ERROR_`
`static String` `MessageArgConformance_ERROR_`
`static String` `MessageArgumentCount_ERROR_`
`static String` `MismatchedParameterVariables_ERROR_`
`static String` `MismatchedQualifiers_ERROR_`
`static String` `MismatchedResultVariable_ERROR_`
`static String` `MissingAssociationClass_ERROR_`
`static String` `MissingBodyExpression_ERROR_`
`static String` `MissingContextVariable_ERROR_`
`static String` `MissingInitIterateExp_ERROR_`
`static String` `MissingMessageTarget_ERROR_`
`static String` `MissingNameInVariableDeclaration_ERROR_`
`static String` `MissingOperationInCallAction_ERROR_`
`static String` `MissingPropertyInTupleLiteralPart_ERROR_`
`static String` `MissingResultVariable_ERROR_`
`static String` `MissingSignalInCallAction_ERROR_`
`static String` `MissingStateInStateExp_ERROR_`
`static String` `MissingTypeInTupleLiteralPart_ERROR_`
`static String` `no_message`
`static String` `NonBooleanIfExp_ERROR_`
`static String` `Noncomforming_ERROR_`
`static String` `NonQueryOperation_ERROR_`
`static String` `NonStaticAttribute_ERROR_`
`static String` `NonStaticOperation_ERROR_`
`static String` `NonStd_CompareTo_`
`static String` `NonStd_DQuote_Escape_`
`static String` `NonStd_InheritedFeatureContext_`
`static String` `NonStd_Iterator_`
`static String` `NonStd_Operation_`
`static String` `NonStd_SQuote_Escape_`
`static String` `NoSuchState_ERROR_`
`static String` `NullArgExpectEObj_ERROR_`
`static String` `NullArgExpectlist_ERROR_`
`static String` `NullNavigationSource_ERROR_`
`static String` `NullNavigationType_ERROR_`
`static String` `NullOperation_ERROR_`
`static String` `NullProperty_ERROR_`
`static String` `NullSourceOperation_ERROR_`
`static String` `OCLCollectionKindNotImpl_ERROR_`
`static String` `OCLIsNewInPostcondition_ERROR_`
`static String` `OCLParseErrorCodes_BEFORE`
`static String` `OCLParseErrorCodes_DELETION`
`static String` `OCLParseErrorCodes_EOF`
`static String` `OCLParseErrorCodes_ERROR`
`static String` `OCLParseErrorCodes_INSERTION`
`static String` `OCLParseErrorCodes_INVALID`
`static String` `OCLParseErrorCodes_INVALID_TOKEN`
`static String` `OCLParseErrorCodes_LEX_ERROR`
`static String` `OCLParseErrorCodes_MERGE`
`static String` `OCLParseErrorCodes_MISPLACED`
`static String` `OCLParseErrorCodes_SCOPE`
`static String` `OCLParseErrorCodes_SUBSTITUTION_SECONDARY`
`static String` `OperationConstraintBoolean_ERROR_`
`static String` `OperationNotFound_ERROR_`
`static String` `PackageNotFound_ERROR_`
`static String` `ParseCSTNodeType_ERROR_`
`static String` `Phase_Analyzer`
`static String` `Phase_Lexer`
`static String` `Phase_Parser`
`static String` `Phase_Unparser`
`static String` `Phase_Utility`
`static String` `Phase_Validator`
`static String` `ProblemMessage_ERROR_`
`static String` `PropertyConstraints_ERROR_`
`static String` `RemoveUnsupported_ERROR_`
`static String` `ResultCompareToInt_ERROR_`
`static String` `Severity_Cancel`
`static String` `Severity_Error`
`static String` `Severity_Fatal_Error`
`static String` `Severity_Info`
`static String` `Severity_OK`
`static String` `Severity_Warning`
`static String` `SourceEClass_ERROR_`
`static String` `SourceOperationCompareTo_ERROR_`
`static String` `StringNotProperlyClosed_ERROR`
`static String` `SumOperator_ERROR_`
`static String` `TooManyIteratorVariables_ERROR_`
`static String` `TupleDuplicateName_ERROR_`
`static String` `TupleFieldDoesntExist_ERROR_`
`static String` `TupleFieldNotFound_ERROR_`
`static String` `TupleFieldNumMismatch_ERROR_`
`static String` `TupleLiteralExpressionPart_ERROR_`
`static String` `TuplePartType_ERROR_`
`static String` `TupleTypeMismatch_ERROR_`
`static String` `TypeConformanceBagLiteral_ERROR_`
`static String` `TypeConformanceBooleanLiteral_ERROR_`
`static String` `TypeConformanceClosure_ERROR_`
`static String` `TypeConformanceCollectBag_ERROR_`
`static String` `TypeConformanceCollectionElementType_ERROR_`
`static String` `TypeConformanceCollectionLiteralExp_ERROR_`
`static String` `TypeConformanceCollectSequence_ERROR_`
`static String` `TypeConformanceEmptyCollection_ERROR_`
`static String` `TypeConformanceIfExp_ERROR_`
`static String` `TypeConformanceInit_ERROR_`
`static String` `TypeConformanceIntegerLiteral_ERROR_`
`static String` `TypeConformanceInvalidLiteral_ERROR_`
`static String` `TypeConformanceIterateExp_ERROR_`
`static String` `TypeConformanceIterateExpBody_ERROR_`
`static String` `TypeConformanceIterateExpLoopVar_ERROR_`
`static String` `TypeConformanceIteratorBodyBoolean_ERROR_`
`static String` `TypeConformanceIteratorExpLoopVar_ERROR_`
`static String` `TypeConformanceIteratorResult_ERROR_`
`static String` `TypeConformanceLetExp_ERROR_`
`static String` `TypeConformanceNullLiteral_ERROR_`
`static String` `TypeConformanceOperation_ERROR_`
`static String` `TypeConformanceOrderedSetLiteral_ERROR_`
`static String` `TypeConformanceRealLiteral_ERROR_`
`static String` `TypeConformanceSelectReject_ERROR_`
`static String` `TypeConformanceSequenceLiteral_ERROR_`
`static String` `TypeConformanceSetLiteral_ERROR_`
`static String` `TypeConformanceStringLiteral_ERROR_`
`static String` `TypeConformanceTupleLiteralExp_ERROR_`
`static String` `TypeConformanceTupleLiteralExpParts_ERROR_`
`static String` `TypeConformanceTuplePartValue_ERROR_`
`static String` `TypeConformanceTypeExp_ERROR_`
`static String` `TypeConformanceUnlimitedNaturalLiteral_ERROR_`
`static String` `TypeExpMissingType_ERROR_`
`static String` `TypeMismatch_ERROR_`
`static String` `UnknownOperation_ERROR_`
`static String` `UnrecognizedContext_ERROR_`
`static String` `UnrecognizedEnum_ERROR_`
`static String` `UnrecognizedMessageType_ERROR_`
`static String` `UnrecognizedType_ERROR_`
`static String` `UnrecognizedVar_ERROR_`
`static String` `VariableDeclaration_ERROR_`
`static String` `VariableTypeMismatch_ERROR_`
`static String` `VariableUsed_ERROR_`
`static String` `VarInNavExp_ERROR_`
`static String` `WrongContextClassifier_ERROR_`

Constructor Summary
`OCLMessages()`

Method Summary
`static String` `bind(String message, Object arg)`
`static String` `bind(String message, Object[] args)`
`static String` `bind(String message, Object arg1, Object arg2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### no_message

    public static String no_message

### Input_ERROR_

    public static String Input_ERROR_

### EnvRegistry_missingClass_ERROR_

    public static String EnvRegistry_missingClass_ERROR_

### EnvRegistry_missingNsURI_ERROR_

    public static String EnvRegistry_missingNsURI_ERROR_

### EnvRegistry_unknownElement_ERROR_

    public static String EnvRegistry_unknownElement_ERROR_

### BindingExist_ERROR_

    public static String BindingExist_ERROR_

### UnknownOperation_ERROR_

    public static String UnknownOperation_ERROR_

### IteratorNotImpl_ERROR_

    public static String IteratorNotImpl_ERROR_

### IndexOutOfRange_ERROR_

    public static String IndexOutOfRange_ERROR_

### TupleFieldDoesntExist_ERROR_

    public static String TupleFieldDoesntExist_ERROR_

### NullProperty_ERROR_

    public static String NullProperty_ERROR_

### NullNavigationSource_ERROR_

    public static String NullNavigationSource_ERROR_

### NullNavigationType_ERROR_

    public static String NullNavigationType_ERROR_

### NullOperation_ERROR_

    public static String NullOperation_ERROR_

### NullSourceOperation_ERROR_

    public static String NullSourceOperation_ERROR_

### IllegalOperation_ERROR_

    public static String IllegalOperation_ERROR_

### NonQueryOperation_ERROR_

    public static String NonQueryOperation_ERROR_

### IllegalOpcode_ERROR_

    public static String IllegalOpcode_ERROR_

### TypeConformanceOperation_ERROR_

    public static String TypeConformanceOperation_ERROR_

### IllegalEnumLiteral_ERROR_

    public static String IllegalEnumLiteral_ERROR_

### VariableTypeMismatch_ERROR_

    public static String VariableTypeMismatch_ERROR_

### MissingNameInVariableDeclaration_ERROR_

    public static String MissingNameInVariableDeclaration_ERROR_

### TypeConformanceInit_ERROR_

    public static String TypeConformanceInit_ERROR_

### NonBooleanIfExp_ERROR_

    public static String NonBooleanIfExp_ERROR_

### TypeConformanceIfExp_ERROR_

    public static String TypeConformanceIfExp_ERROR_

### TypeConformanceIntegerLiteral_ERROR_

    public static String TypeConformanceIntegerLiteral_ERROR_

### TypeConformanceUnlimitedNaturalLiteral_ERROR_

    public static String TypeConformanceUnlimitedNaturalLiteral_ERROR_

### TypeConformanceRealLiteral_ERROR_

    public static String TypeConformanceRealLiteral_ERROR_

### TypeConformanceStringLiteral_ERROR_

    public static String TypeConformanceStringLiteral_ERROR_

### TypeConformanceBooleanLiteral_ERROR_

    public static String TypeConformanceBooleanLiteral_ERROR_

### TypeConformanceNullLiteral_ERROR_

    public static String TypeConformanceNullLiteral_ERROR_

### TypeConformanceInvalidLiteral_ERROR_

    public static String TypeConformanceInvalidLiteral_ERROR_

### TypeConformanceLetExp_ERROR_

    public static String TypeConformanceLetExp_ERROR_

### TypeConformanceIterateExp_ERROR_

    public static String TypeConformanceIterateExp_ERROR_

### TypeConformanceIterateExpBody_ERROR_

    public static String TypeConformanceIterateExpBody_ERROR_

### TypeConformanceIterateExpLoopVar_ERROR_

    public static String TypeConformanceIterateExpLoopVar_ERROR_

### TypeConformanceIteratorResult_ERROR_

    public static String TypeConformanceIteratorResult_ERROR_

### TypeConformanceIteratorExpLoopVar_ERROR_

    public static String TypeConformanceIteratorExpLoopVar_ERROR_

### TypeConformanceCollectSequence_ERROR_

    public static String TypeConformanceCollectSequence_ERROR_

### TypeConformanceCollectBag_ERROR_

    public static String TypeConformanceCollectBag_ERROR_

### TypeConformanceClosure_ERROR_

    public static String TypeConformanceClosure_ERROR_

### ElementTypeConformanceClosure_ERROR_

    public static String ElementTypeConformanceClosure_ERROR_

### TypeConformanceSelectReject_ERROR_

    public static String TypeConformanceSelectReject_ERROR_

### TypeConformanceIteratorBodyBoolean_ERROR_

    public static String TypeConformanceIteratorBodyBoolean_ERROR_

### TypeConformanceCollectionLiteralExp_ERROR_

    public static String TypeConformanceCollectionLiteralExp_ERROR_

### TypeConformanceSetLiteral_ERROR_

    public static String TypeConformanceSetLiteral_ERROR_

### TypeConformanceOrderedSetLiteral_ERROR_

    public static String TypeConformanceOrderedSetLiteral_ERROR_

### TypeConformanceBagLiteral_ERROR_

    public static String TypeConformanceBagLiteral_ERROR_

### TypeConformanceSequenceLiteral_ERROR_

    public static String TypeConformanceSequenceLiteral_ERROR_

### TypeConformanceEmptyCollection_ERROR_

    public static String TypeConformanceEmptyCollection_ERROR_

### TypeConformanceCollectionElementType_ERROR_

    public static String TypeConformanceCollectionElementType_ERROR_

### TypeConformanceTupleLiteralExp_ERROR_

    public static String TypeConformanceTupleLiteralExp_ERROR_

### TypeConformanceTupleLiteralExpParts_ERROR_

    public static String TypeConformanceTupleLiteralExpParts_ERROR_

### TupleLiteralExpressionPart_ERROR_

    public static String TupleLiteralExpressionPart_ERROR_

### TupleDuplicateName_ERROR_

    public static String TupleDuplicateName_ERROR_

### MissingPropertyInTupleLiteralPart_ERROR_

    public static String MissingPropertyInTupleLiteralPart_ERROR_

### MissingTypeInTupleLiteralPart_ERROR_

    public static String MissingTypeInTupleLiteralPart_ERROR_

### TuplePartType_ERROR_

    public static String TuplePartType_ERROR_

### TypeConformanceTuplePartValue_ERROR_

    public static String TypeConformanceTuplePartValue_ERROR_

### TypeConformanceTypeExp_ERROR_

    public static String TypeConformanceTypeExp_ERROR_

### TypeExpMissingType_ERROR_

    public static String TypeExpMissingType_ERROR_

### IllegalSignature_ERROR_

    public static String IllegalSignature_ERROR_

### IteratorSource_ERROR_

    public static String IteratorSource_ERROR_

### IterateExpLoopVarInit_ERROR_

    public static String IterateExpLoopVarInit_ERROR_

### TooManyIteratorVariables_ERROR_

    public static String TooManyIteratorVariables_ERROR_

### IncompleteVariableExp_ERROR_

    public static String IncompleteVariableExp_ERROR_

### IncompleteLetExp_ERROR_

    public static String IncompleteLetExp_ERROR_

### IncompleteIterateExp_ERROR_

    public static String IncompleteIterateExp_ERROR_

### IncompleteIfExp_ERROR_

    public static String IncompleteIfExp_ERROR_

### IncompleteIteratorExp_ERROR_

    public static String IncompleteIteratorExp_ERROR_

### MissingInitIterateExp_ERROR_

    public static String MissingInitIterateExp_ERROR_

### ErrorMessage_ERROR_

    public static String ErrorMessage_ERROR_

### ProblemMessage_ERROR_

    public static String ProblemMessage_ERROR_

### Severity_Cancel

    public static String Severity_Cancel

### Severity_Fatal_Error

    public static String Severity_Fatal_Error

### Severity_Error

    public static String Severity_Error

### Severity_Warning

    public static String Severity_Warning

### Severity_Info

    public static String Severity_Info

### Severity_OK

    public static String Severity_OK

### Phase_Parser

    public static String Phase_Parser

### Phase_Unparser

    public static String Phase_Unparser

### Phase_Lexer

    public static String Phase_Lexer

### Phase_Analyzer

    public static String Phase_Analyzer

### Phase_Validator

    public static String Phase_Validator

### Phase_Utility

    public static String Phase_Utility

### VariableUsed_ERROR_

    public static String VariableUsed_ERROR_

### VariableDeclaration_ERROR_

    public static String VariableDeclaration_ERROR_

### OperationNotFound_ERROR_

    public static String OperationNotFound_ERROR_

### BadArg_ERROR_

    public static String BadArg_ERROR_

### PackageNotFound_ERROR_

    public static String PackageNotFound_ERROR_

### UnrecognizedContext_ERROR_

    public static String UnrecognizedContext_ERROR_

### PropertyConstraints_ERROR_

    public static String PropertyConstraints_ERROR_

### BooleanForIf_ERROR_

    public static String BooleanForIf_ERROR_

### VarInNavExp_ERROR_

    public static String VarInNavExp_ERROR_

### UnrecognizedVar_ERROR_

    public static String UnrecognizedVar_ERROR_

### DeclarationType_ERROR_

    public static String DeclarationType_ERROR_

### DeclarationNoInitExp_ERROR_

    public static String DeclarationNoInitExp_ERROR_

### DeclarationInitExp_ERROR_

    public static String DeclarationInitExp_ERROR_

### UnrecognizedType_ERROR_

    public static String UnrecognizedType_ERROR_

### DuplicateNameInTuple_ERROR_

    public static String DuplicateNameInTuple_ERROR_

### InitExpNotAllowed_ERROR_

    public static String InitExpNotAllowed_ERROR_

### UnrecognizedEnum_ERROR_

    public static String UnrecognizedEnum_ERROR_

### FirstLastTypeMismatch_ERROR_

    public static String FirstLastTypeMismatch_ERROR_

### NullArgExpectEObj_ERROR_

    public static String NullArgExpectEObj_ERROR_

### NullArgExpectlist_ERROR_

    public static String NullArgExpectlist_ERROR_

### BooleanQuery_ERROR_

    public static String BooleanQuery_ERROR_

### EvaluationFailed_ERROR_

    public static String EvaluationFailed_ERROR_

### Noncomforming_ERROR_

    public static String Noncomforming_ERROR_

### SourceEClass_ERROR_

    public static String SourceEClass_ERROR_

### SourceOperationCompareTo_ERROR_

    public static String SourceOperationCompareTo_ERROR_

### ResultCompareToInt_ERROR_

    public static String ResultCompareToInt_ERROR_

### TypeMismatch_ERROR_

    public static String TypeMismatch_ERROR_

### CastTypeMismatch_ERROR_

    public static String CastTypeMismatch_ERROR_

### CollectionType_ERROR_

    public static String CollectionType_ERROR_

### SumOperator_ERROR_

    public static String SumOperator_ERROR_

### TupleTypeMismatch_ERROR_

    public static String TupleTypeMismatch_ERROR_

### TupleFieldNotFound_ERROR_

    public static String TupleFieldNotFound_ERROR_

### TupleFieldNumMismatch_ERROR_

    public static String TupleFieldNumMismatch_ERROR_

### RemoveUnsupported_ERROR_

    public static String RemoveUnsupported_ERROR_

### OCLCollectionKindNotImpl_ERROR_

    public static String OCLCollectionKindNotImpl_ERROR_

### IsInStateSignature_ERROR_

    public static String IsInStateSignature_ERROR_

### NoSuchState_ERROR_

    public static String NoSuchState_ERROR_

### AmbiguousState_ERROR_

    public static String AmbiguousState_ERROR_

### MissingStateInStateExp_ERROR_

    public static String MissingStateInStateExp_ERROR_

### UnrecognizedMessageType_ERROR_

    public static String UnrecognizedMessageType_ERROR_

### AmbiguousMessageType_ERROR_

    public static String AmbiguousMessageType_ERROR_

### IllegalUnspecifiedValueExp_ERROR_

    public static String IllegalUnspecifiedValueExp_ERROR_

### MissingMessageTarget_ERROR_

    public static String MissingMessageTarget_ERROR_

### MissingOperationInCallAction_ERROR_

    public static String MissingOperationInCallAction_ERROR_

### MissingSignalInCallAction_ERROR_

    public static String MissingSignalInCallAction_ERROR_

### MessageArgumentCount_ERROR_

    public static String MessageArgumentCount_ERROR_

### MessageArgConformance_ERROR_

    public static String MessageArgConformance_ERROR_

### DefinitionConstraintFeature_ERROR_

    public static String DefinitionConstraintFeature_ERROR_

### DefinitionConstraintConformance_ERROR_

    public static String DefinitionConstraintConformance_ERROR_

### DuplicateProperty_ERROR_

    public static String DuplicateProperty_ERROR_

### DuplicateOperation_ERROR_

    public static String DuplicateOperation_ERROR_

### InitOrDerConstraintConformance_ERROR_

    public static String InitOrDerConstraintConformance_ERROR_

### IllegalAtPre_ERROR_

    public static String IllegalAtPre_ERROR_

### AtPreInPostcondition_ERROR_

    public static String AtPreInPostcondition_ERROR_

### BodyConditionNotAllowed_ERROR_

    public static String BodyConditionNotAllowed_ERROR_

### BodyConditionConformance_ERROR_

    public static String BodyConditionConformance_ERROR_

### OCLIsNewInPostcondition_ERROR_

    public static String OCLIsNewInPostcondition_ERROR_

### IllegalQualifiers_ERROR_

    public static String IllegalQualifiers_ERROR_

### MismatchedQualifiers_ERROR_

    public static String MismatchedQualifiers_ERROR_

### MissingAssociationClass_ERROR_

    public static String MissingAssociationClass_ERROR_

### AssociationClassQualifierCount_ERROR_

    public static String AssociationClassQualifierCount_ERROR_

### AssociationClassQualifierType_ERROR_

    public static String AssociationClassQualifierType_ERROR_

### AssociationClassAmbiguous_ERROR_

    public static String AssociationClassAmbiguous_ERROR_

### WrongContextClassifier_ERROR_

    public static String WrongContextClassifier_ERROR_

### BodyConditionForm_ERROR_

    public static String BodyConditionForm_ERROR_

### OperationConstraintBoolean_ERROR_

    public static String OperationConstraintBoolean_ERROR_

### InvariantConstraintBoolean_ERROR_

    public static String InvariantConstraintBoolean_ERROR_

### MissingContextVariable_ERROR_

    public static String MissingContextVariable_ERROR_

### ExtraneousParameterVariables_ERROR_

    public static String ExtraneousParameterVariables_ERROR_

### ExtraneousResultVariable_ERROR_

    public static String ExtraneousResultVariable_ERROR_

### MismatchedParameterVariables_ERROR_

    public static String MismatchedParameterVariables_ERROR_

### MismatchedResultVariable_ERROR_

    public static String MismatchedResultVariable_ERROR_

### MissingResultVariable_ERROR_

    public static String MissingResultVariable_ERROR_

### MissingBodyExpression_ERROR_

    public static String MissingBodyExpression_ERROR_

### NonStaticAttribute_ERROR_

    public static String NonStaticAttribute_ERROR_

### NonStaticOperation_ERROR_

    public static String NonStaticOperation_ERROR_

### InvalidOCL_ERROR_

    public static String InvalidOCL_ERROR_

### ParseCSTNodeType_ERROR_

    public static String ParseCSTNodeType_ERROR_

### OCLParseErrorCodes_LEX_ERROR

    public static String OCLParseErrorCodes_LEX_ERROR

### OCLParseErrorCodes_ERROR

    public static String OCLParseErrorCodes_ERROR

### OCLParseErrorCodes_BEFORE

    public static String OCLParseErrorCodes_BEFORE

### OCLParseErrorCodes_INSERTION

    public static String OCLParseErrorCodes_INSERTION

### OCLParseErrorCodes_INVALID

    public static String OCLParseErrorCodes_INVALID

### OCLParseErrorCodes_SUBSTITUTION_SECONDARY

    public static String OCLParseErrorCodes_SUBSTITUTION_SECONDARY

### OCLParseErrorCodes_DELETION

    public static String OCLParseErrorCodes_DELETION

### OCLParseErrorCodes_MERGE

    public static String OCLParseErrorCodes_MERGE

### OCLParseErrorCodes_MISPLACED

    public static String OCLParseErrorCodes_MISPLACED

### OCLParseErrorCodes_SCOPE

    public static String OCLParseErrorCodes_SCOPE

### OCLParseErrorCodes_EOF

    public static String OCLParseErrorCodes_EOF

### OCLParseErrorCodes_INVALID_TOKEN

    public static String OCLParseErrorCodes_INVALID_TOKEN

### ErrorReport_RowColumn

    public static String ErrorReport_RowColumn

### NonStd_DQuote_Escape_

    public static String NonStd_DQuote_Escape_

### NonStd_SQuote_Escape_

    public static String NonStd_SQuote_Escape_

### NonStd_Operation_

    public static String NonStd_Operation_

### NonStd_Iterator_

    public static String NonStd_Iterator_

### NonStd_InheritedFeatureContext_

    public static String NonStd_InheritedFeatureContext_

### NonStd_CompareTo_

    public static String NonStd_CompareTo_

### Ambig_AssocEnd_

    public static String Ambig_AssocEnd_

### StringNotProperlyClosed_ERROR

    public static String StringNotProperlyClosed_ERROR

### InvalidEscapeSequence_ERROR

    public static String InvalidEscapeSequence_ERROR

Constructor Detail

### OCLMessages

    public OCLMessages()

Method Detail

### bind

    public static String bind(String message,
                              Object arg)

### bind

    public static String bind(String message,
                              Object arg1,
                              Object arg2)

### bind

    public static String bind(String message,
                              Object[] args)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.